Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class JServerUserTransactionBean

`java.lang.Object
oracle.jbo.html.jsp.datatags.JServerUserTransactionBean`

public class JServerUserTransactionBean
extends java.lang.Object

Constructor Summary
`JServerUserTransactionBean()`

Method Summary
`void` | `begin()`
`void` | `commit()`
`protected java.util.Hashtable` | `createInitialContextEnv()`
`java.lang.String` | `getNamespaceUrl()`
`java.lang.String` | `getPasswd()`
`java.lang.String` | `getUser()`
`java.lang.String` | `getUserTransactionUrl()`
`void` | `lookup()`
`void` | `rollback()`
`void` | `setNamespaceUrl(java.lang.String s)`
`void` | `setPasswd(java.lang.String s)`
`void` | `setUser(java.lang.String s)`
`void` | `setUserTransactionUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JServerUserTransactionBean

    public JServerUserTransactionBean()

Method Detail

### getUser

    public java.lang.String getUser()

### setUser

    public void setUser(java.lang.String s)

### getPasswd

    public java.lang.String getPasswd()

### setPasswd

    public void setPasswd(java.lang.String s)

### getNamespaceUrl

    public java.lang.String getNamespaceUrl()

### setNamespaceUrl

    public void setNamespaceUrl(java.lang.String s)

### getUserTransactionUrl

    public java.lang.String getUserTransactionUrl()

### setUserTransactionUrl

    public void setUserTransactionUrl(java.lang.String url)

### commit

    public void commit()

### rollback

    public void rollback()

### begin

    public void begin()

### lookup

    public void lookup()

### createInitialContextEnv

    protected java.util.Hashtable createInitialContextEnv()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.